libdbuskit0_0.1.1-3+b1_i386.deb


Advertisement

Description

libdbuskit0 - GNUstep framework that interfaces with D-Bus (runtime library)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package name libdbuskit0
Package version 0.1.1
Package release 3+b1
Package architecture i386
Package type deb
Installed size 388 B
Download size 109.67 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libdbuskit0_0.1.1-3+b1_amd64.deb 0.1.1 amd64 Debian Main
libdbuskit0 - - -

Requires

Name Value
gnustep-base-runtime >= 1.25.0
libc6 >= 2.4
libdbus-1-3 >= 1.9.14
libgcc1 >= 1:3.0
libgnustep-base1.25 >= 1.25.0
libobjc4 >= 4.6

Download

Type URL
Binary Package libdbuskit0_0.1.1-3+b1_i386.deb
Source Package dbuskit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdbuskit0 deb package:
    # sudo apt-get install libdbuskit0

Files

Path
/usr/lib/libDBusKit.so.0
/usr/lib/libDBusKit.so.0.1.1
/usr/lib/GNUstep/Frameworks/DBusKit.framework/Versions/0/libDBusKit.so.0
/usr/lib/GNUstep/Frameworks/DBusKit.framework/Versions/0/libDBusKit.so.0.1.1
/usr/lib/GNUstep/Frameworks/DBusKit.framework/Versions/0/Resources/Info-gnustep.plist
/usr/share/doc/libdbuskit0/changelog.Debian.gz
/usr/share/doc/libdbuskit0/changelog.Debian.i386.gz
/usr/share/doc/libdbuskit0/changelog.gz
/usr/share/doc/libdbuskit0/copyright
/usr/share/lintian/overrides/libdbuskit0

Changelog

2017-10-10 - Yavor Doganov <yavor@gnu.org>
dbuskit (0.1.1-3) unstable; urgency=medium
* debian/patches/no-gc-macros.patch: New, fixes FTBFS with
gnustep-base/1.25 (Closes: #878051).
* debian/patches/spelling-errors.patch: New, trivial spelling fixes.
* debian/patches/link-libs.patch: Update to link with dbus properly.
* debian/patches/series: Update.
* debian/compat: Bump compat level to 10 to gain autoreconf by default
(Closes: #765032).
* debian/control (Build-Depends): Remove dh-autoreconf and
autotools-dev; require debhelper >= 10.  Remove version requirement
for gnustep-make, available even in oldstable.
(Vcs-Git, Vcs-Browser): Use secure URIs.  Typo fix.
(Standards-Version): Claim compliance with 4.1.1.
(libdbuskit0-dbg): Remove, switch to automatic dbgsym packages.
* debian/rules: Invoke dh without arguments, use default hardening flags.
(override_dh_strip): Replace --dbg-package with --dbgsym-migration.
* debian/watch: Switch to a fake one since upstream's site is gone.
* debian/libdbuskit0.lintian-overrides: Remove no longer necessary
overrides post{inst,rm}-has-useless-call-to-ldconfig; add
package-has-unnecessary-activation-of-ldconfig-trigger.
* debian/copyright: Mention that the source is unavailable.  Fix some
typos, update copyright years, adjust format URL.
* debian/tests/control:
* debian/tests/file-tests: Add simplistic testsuite.
2014-11-10 - Yavor Doganov <yavor@gnu.org>
dbuskit (0.1.1-2) unstable; urgency=medium
* debian/libdbuskit-dev.install:
* debian/libdbuskit0.install: Update for gnustep-make/2.6.6-3 (Closes:
#768616).
2014-07-11 - Yavor Doganov <yavor@gnu.org>
dbuskit (0.1.1-1) unstable; urgency=low
* Initial release (Closes: #675962).

See Also

Package Description
libdbusmenu-glib-dev_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus - development files
libdbusmenu-glib-doc_16.04.1+17.04.20170109.1-5_all.deb library for passing menus over DBus - documentation
libdbusmenu-glib4_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus
libdbusmenu-gtk-dev_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus - GTK-2+ version development files
libdbusmenu-gtk-doc_16.04.1+17.04.20170109.1-5_all.deb library for passing menus over DBus - GTK+ version documentation
libdbusmenu-gtk3-4_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus - GTK-3+ version
libdbusmenu-gtk3-dev_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus - GTK-3+ version development files
libdbusmenu-gtk4_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus - GTK-2+ version
libdbusmenu-jsonloader-dev_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus - Test lib development files
libdbusmenu-jsonloader4_16.04.1+17.04.20170109.1-5_i386.deb library for passing menus over DBus - Test lib
libdbusmenu-qt-dev_0.9.3+16.04.20160218-1_i386.deb Qt implementation of the DBusMenu protocol (development)
libdbusmenu-qt-doc_0.9.3+16.04.20160218-1_all.deb Qt implementation of the DBusMenu protocol (documentation)
libdbusmenu-qt2_0.9.3+16.04.20160218-1_i386.deb Qt implementation of the DBusMenu protocol
libdbusmenu-qt5-2_0.9.3+16.04.20160218-1_i386.deb Qt implementation of the DBusMenu protocol
libdbusmenu-qt5-dev_0.9.3+16.04.20160218-1_i386.deb Qt implementation of the DBusMenu protocol (development)
Advertisement
Advertisement